searchData={"items":[{"type":"module","title":"AtomicWrites","doc":"Perform serialized and atomic file writes in Elixir with **AtomicWrites**. The\nbasic idea is that writes are made to a temporary file and then moved when the\nwrite is complete. By default, the temporary write is made to the same file\nsystem (so that the move is also atomic) and the move will overwrite any\nexisting file. Both of these options are configurable.","ref":"AtomicWrites.html"},{"type":"module","title":"Example - AtomicWrites","doc":"``` elixir\nalias AtomicWrites.AtomicFile\n\n{:ok, pid} = AtomicFile.start_link([path: \"example.txt\"])\nAtomicFile.write(pid, \"Atomically written content.\")\n```","ref":"AtomicWrites.html#module-example"},{"type":"module","title":"Installation - AtomicWrites","doc":"The package can be installed by adding `atomic_writes` to your list of\ndependencies in `mix.exs`:\n\n```elixir\ndef deps do\n[\n  {:atomic_writes, \"~> 1.0.0\"}\n]\nend\n```","ref":"AtomicWrites.html#module-installation"},{"type":"module","title":"Documentation - AtomicWrites","doc":"Please find the documentation under `AtomicWrites.AtomicFile`.","ref":"AtomicWrites.html#module-documentation"},{"type":"module","title":"License - AtomicWrites","doc":"AtomicWrites is released under the [`Apache License\n2.0`](https://github.com/elliotekj/atomic_writes/blob/main/LICENSE).","ref":"AtomicWrites.html#module-license"},{"type":"module","title":"About - AtomicWrites","doc":"This package was written by [Elliot Jackson](https://elliotekj.com).\n\n- Blog: [https://elliotekj.com](https://elliotekj.com)\n- Email: elliot@elliotekj.com","ref":"AtomicWrites.html#module-about"},{"type":"module","title":"AtomicWrites.AtomicFile","doc":"Given a file path (and other optional config), `AtomicFile` provides a\n`write/2` method for serially and atomically writing to the given path.","ref":"AtomicWrites.AtomicFile.html"},{"type":"function","title":"AtomicWrites.AtomicFile.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"AtomicWrites.AtomicFile.html#child_spec/1"},{"type":"function","title":"AtomicWrites.AtomicFile.init/1","doc":"","ref":"AtomicWrites.AtomicFile.html#init/1"},{"type":"function","title":"AtomicWrites.AtomicFile.start_link/1","doc":"* `:path` (`t:String.t/0`) - Required. Path to the final file that is atomically written.\n\n* `:overwrite?` (`t:boolean/0`) - Overwrite the target file if it already exists? The default value is `true`.\n\n* `:tmp_dir` (`t:String.t/0`) - Directory in which the temporary files are written. The default value is `\".\"`.","ref":"AtomicWrites.AtomicFile.html#start_link/1"},{"type":"function","title":"AtomicWrites.AtomicFile.write/2","doc":"Atomically write to the path managed by the process.","ref":"AtomicWrites.AtomicFile.html#write/2"},{"type":"extras","title":"AtomicWrites: Serialized, Atomic File Writes in Elixir","doc":"# AtomicWrites: Serialized, Atomic File Writes in Elixir\n\nPerform serialized and atomic file writes in Elixir with **AtomicWrites**. The\nbasic idea is that writes are made to a temporary file and then moved when the\nwrite is complete. By default, the temporary write is made to the same file\nsystem (so that the move is also atomic) and the move will overwrite any\nexisting file. Both of these options are configurable.","ref":"readme.html"},{"type":"extras","title":"Example - AtomicWrites: Serialized, Atomic File Writes in Elixir","doc":"``` elixir\nalias AtomicWrites.AtomicFile\n\n{:ok, pid} = AtomicFile.start_link([path: \"example.txt\"])\nAtomicFile.write(pid, \"Atomically written content.\")\n```","ref":"readme.html#example"},{"type":"extras","title":"Installation - AtomicWrites: Serialized, Atomic File Writes in Elixir","doc":"The package can be installed by adding `atomic_writes` to your list of\ndependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:atomic_writes, \"~> 1.0.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Documentation - AtomicWrites: Serialized, Atomic File Writes in Elixir","doc":"The documentation is published at  .","ref":"readme.html#documentation"},{"type":"extras","title":"License - AtomicWrites: Serialized, Atomic File Writes in Elixir","doc":"AtomicWrites is released under the [`Apache License\n2.0`](https://github.com/elliotekj/atomic_writes/blob/main/LICENSE).","ref":"readme.html#license"},{"type":"extras","title":"About - AtomicWrites: Serialized, Atomic File Writes in Elixir","doc":"This package was written by [Elliot Jackson](https://elliotekj.com).\n\n- Blog: [https://elliotekj.com](https://elliotekj.com)\n- Email: elliot@elliotekj.com","ref":"readme.html#about"}],"content_type":"text/markdown"}